
%global meadversion 7.3.0
%global namedversion 7.3.0.Final-redhat-14
%global meadalpha .Final_redhat_14
%global meadrel .1
%global serial 7

%global fullreltag %{meadalpha}

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%global jarname wildfly-core-security

%define maven_version 7.3.0.Final-redhat-14

Name:             jboss-as-core-security
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          JBoss AS Core Security Module
Group:            Development/Libraries

%if %with mead
Source102: wildfly-core-security-7.3.0.Final-redhat-14.jar
Source103: wildfly-core-security-7.3.0.Final-redhat-14-sources.jar
Source104: wildfly-core-security-7.3.0.Final-redhat-14.pom
Source105: wildfly-patching-7.3.0.Final-redhat-14.jar
Source106: wildfly-patching-7.3.0.Final-redhat-14-sources.jar
Source107: wildfly-patching-7.3.0.Final-redhat-14.pom
%endif

License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-as

BuildArch:        noarch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:    jpackage-utils

Requires:         jpackage-utils
Requires:         java

%description
This package contains the JBoss AS Core Security Module.

%prep

%build

%install
# JARs
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jbossas
cp -p %{_sourcedir}/%{jarname}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{jarname}.jar
cp -p %{_sourcedir}/%{jarname}-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{jarname}-sources.jar

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{_sourcedir}/%{jarname}-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{jarname}.pom

# DEPMAP
%add_maven_depmap JPP.jbossas-%{jarname}.pom jbossas/%{jarname}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}*/*


%changelog
* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-7.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-7.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-6.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-6.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Wed Oct 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-5.Final_redhat_10.1
- EAP 6.2.0 ER7

* Fri Oct 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-4.Final_redhat_9.2
- EAP 6.2.0 ER6

* Mon Oct 07 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-3.Final_redhat_8.1
- EAP 6.2.0 ER5

* Tue Sep 24 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-2.Final_redhat_6.1
- EAP 6.2.0 ER3

* Mon Sep 23 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-1.Final_redhat_4.2
- EAP 6.2.0 ER2

* Mon Sep 23 2013 Fernando Nasser <fnasser@redhat.com> 7.3.0
- Wrap MEAD build for EAP 6.2

